Subject: .mailcap and Pine

From: [email-masked] (Rodney Mach)
Date: 1 Aug 1995 18:51:05 GMT

have noticed using pine 3.91 that pine uses a  .mailcap files
and use this information to spawn external viewers etc instead
My question is is pine interpreting this file, or is it using
metamail to handle the MIME viewing. Also, how can I tell pine
to use a different file, or perhaps specify a different location of
the .mailcap file ? The man page that I have does not mention the word
.mailcap, and very briefly discusses MIME. I looked through the .pinerc
and did not see any options pertaining to this, besides setting up an
image viewer. My .mailcap that I use is :

# This is a simple example mailcap file.
# Lines starting with '#' are comments.

# This maps all types of audio data (audio/basic, audio/x-aiff,
# etc.) to the viewer 'showaudio'.  Note that '%s' means 'put the
# datafile name here when the viewer is executed'.
audio/*; /usr/demo/SOUND/soundtool %s

# This maps all types of images (image/gif, image/jpeg, etc.)
# to the viewer 'xv'.
# image/*; /usr/caen/bin/xv %s

# This maps MPEG video data to the viewer 'mpeg_play'.
 video/mpeg; mpeg_play %s

# This maps all types of video *other than MPEG* to the viewer
# 'genericmovie'.
 video/*; xanim %s

application/postscript; ghostview %s
 application/x-dvi; xdvi %s

application/x-Wingz; %lWingz %f

Also, if you are able to answer my questions, could you please include
where you found the information. Please send any responses to:
[email-masked]

Thanks,

Rod Mach
[email-masked]
http://www.engin.umich.edu